{% extends 'static_appointment.html' %} {% block content %}
<title>List Appointment Dokter</title>
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/appointmentdokter/create-appointmentdokter">Create Appointment</a>
                    <a class="dropdown-item" href="/appointmentdokter">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
<style>
    .containers {
        padding: 16px 16px;
        width: 300px;
        height: 300px;
    }
    
    .custom-table {
        background-color: #ebf2f5;
    }
</style>

<body style="background-color: rgb(255, 255, 255);">
    <br>
    <div class="container">
        <h2 style="color:#080808;font-family: 'Poppins', sans-serif;font-size: 36px;font-weight: 600;">List Appointment Dokter Milik Kamu</h2>

        <div class="d-grid d-md-flex justify-content-md-end">
            <a href="/appointmentdokter/create-appointmentdokter">
                <button type="button" class="btn btn-primary" style="font-family: 'Poppins', sans-serif;">+ Create Appointment Dokter</button>
            </a>
        </div>

        <br>
        <table class="table">
            <thead>
                <tr>
                    <th>No.</th>
                    <th>Nama Hewan</th>
                    <th>Dokter</th>
                    <th>Waktu Appointment</th>
                    <th>Status</th>
                    <th>Aksi</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    {% for appointment in listAppointmentDokter %}
                    <td>{{ forloop.counter }}.</td>
                    <td>{{ appointment.hewan.nama }}</td>
                    <td>{{ appointment.dokter.first_name }} {{ appoint.dokter.last_name }}</td>
                    <td>{{ appointment.appointment_time }}</td>
                    {% if appointment.status == 'Menunggu Konfirmasi' %}
                    <td>
                        <p style="text-align: center; 
                        font-weight: bold; 
                        background-color:orange; 
                        border: 1px solid orange; 
                        padding: 3px; 
                        border-radius: 10px;">{{appointment.status}}</p>
                    </td>
                    {% elif appointment.status == 'Disetujui' %}
                    <td>
                        <p style="text-align: center; 
                        font-weight: bold; 
                        background-color:greenyellow; 
                        border: 1px solid greenyellow; 
                        padding: 3px; 
                        border-radius: 10px;">{{appointment.status}}</p>
                    </td>
                    {% else %}
                    <td>
                        <p style="text-align: center; 
                        font-weight: bold; 
                        color: white;
                        background-color:red; 
                        border: 1px solid red; 
                        padding: 3px; 
                        border-radius: 10px;">{{appointment.status}}</p>
                    </td>
                    {% endif %}
                    <td>
                        <button type="button" class="btn btn-outline-primary" ">Detail Appointment</button>
                    </td>
                </tr>
                {% empty %}
                <tr>
                    <td colspan="7 ">Tidak ada appointment.</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>


    </div>
</body>


{% endblock %}